###################################################
### chunk number 1: 
###################################################
options(prompt="R> ")


###################################################
### chunk number 2:  eval=FALSE
###################################################
## vignette("laeken-pareto")
## vignette("laeken-variance")


###################################################
### chunk number 3: 
###################################################
library("laeken")
data("eusilc")
head(eusilc, 3)


###################################################
### chunk number 4: 
###################################################
methods(class="indicator")


###################################################
### chunk number 5: 
###################################################
eusilc$eqSS <- eqSS("db030", "age", data=eusilc)
head(eusilc[,c("db030", "age", "eqSS")], 8)


###################################################
### chunk number 6: 
###################################################
hplus <- c("hy040n", "hy050n", "hy070n", "hy080n", "hy090n", "hy110n")
hminus <- c("hy130n", "hy145n")
pplus <- c("py010n", "py050n", "py090n", "py100n", 
    "py110n", "py120n", "py130n", "py140n")
eusilc$eqIncome <- eqInc("db030", hplus, hminus, 
    pplus, character(), "eqSS", data=eusilc)
head(eusilc[,c("db030", "eqSS", "eqIncome")], 8)   


###################################################
### chunk number 7: 
###################################################
weightedQuantile(eusilc$eqIncome, eusilc$rb050, 
    probs = c(0.2, 0.5, 0.8))


###################################################
### chunk number 8: 
###################################################
weightedMedian(eusilc$eqIncome, eusilc$rb050)


###################################################
### chunk number 9: 
###################################################
incMedian("eqIncome", weights = "rb050", data = eusilc) 
incQuintile("eqIncome", weights = "rb050", k = c(1, 4), data = eusilc)


###################################################
### chunk number 10: 
###################################################
arpt("eqIncome", weights = "rb050", data = eusilc)
arpr("eqIncome", weights = "rb050", data = eusilc)


###################################################
### chunk number 11: 
###################################################
arpr("eqIncome", weights = "rb050", p = 0.4, data = eusilc)
arpr("eqIncome", weights = "rb050", p = 0.5, data = eusilc)
arpr("eqIncome", weights = "rb050", p = 0.7, data = eusilc)


###################################################
### chunk number 12: 
###################################################
arpr("eqIncome", weights = "rb050", breakdown = "db040", data = eusilc) 


###################################################
### chunk number 13: 
###################################################
ageCat <- cut(eusilc$age, c(-1, 16, 25, 50, 65, Inf), right=FALSE)
eusilc$breakdown <- paste(ageCat, eusilc$rb090, sep=":")
arpr("eqIncome", weights = "rb050", breakdown = "breakdown", data = eusilc)     


###################################################
### chunk number 14: 
###################################################
qsr("eqIncome", weights = "rb050", data = eusilc)   


###################################################
### chunk number 15: 
###################################################
qsr("eqIncome", weights = "rb050", breakdown = "db040", data = eusilc) 


###################################################
### chunk number 16: 
###################################################
rmpg("eqIncome", weights = "rb050", data = eusilc)


###################################################
### chunk number 17: 
###################################################
rmpg("eqIncome", weights = "rb050", breakdown = "db040", data = eusilc)


###################################################
### chunk number 18: 
###################################################
ageCat <- cut(eusilc$age, c(-1, 16, 25, 50, 65, Inf), right=FALSE)
eusilc$breakdown <- paste(ageCat, eusilc$rb090, sep=":")
rmpg("eqIncome", weights = "rb050", breakdown = "breakdown", data = eusilc)


###################################################
### chunk number 19: 
###################################################
gini("eqIncome", weights = "rb050", data = eusilc)


###################################################
### chunk number 20: 
###################################################
gini("eqIncome", weights = "rb050", breakdown = "db040", data = eusilc)


###################################################
### chunk number 21: 
###################################################
a <- arpr("eqIncome", weights = "rb050", breakdown = "db040", data = eusilc)
print(a)
is.arpr(a)
is.indicator(a)
class(a)


###################################################
### chunk number 22: 
###################################################
subset(a, strata = c("Lower Austria", "Vienna"))


